#ifndef RECT_H
#define RECT_H

#include <QRect>


//! rectangle
/*!
A rectangle
*/
class rect :public QRect {

public:
//! rect
/*!
creates a rectangular
@nomacro
*/
 rect(){}
//! width
/*!
return width;
@nomacro
*/
int width(){ return QRect::width()-1;}
//! height
/*!
return height;
@nomacro
*/
int height(){ return QRect::height()-1;}
//! set left
/*!
Set left.
*/
//-void setLeft(int left);
//! set right
/*!
Set right.
*/
//-void setRight(int right);
//! set top
/*!
Set top.
*/
//-void setTop(int top);
//! set bottom
/*!
Set bottom.
*/
//-void setBottom(int bottom);
//! get left
/*!
Get left.
*/
//-int left();
//! get right
/*!
Get right.
*/
//-int right();
//! get top
/*!
Get top.
*/
//-int top();
//! get bottom
/*!
Get bottom.
*/
//-int bottom();
};

#endif

